## r-cran-bh 1.74.0

=== DESCRIPTION ===
Package: BH
Type: Package
Title: Boost C++ Header Files -- Metapackage
Version: 1.66.0-1
Date: 2018-02-12
Author: Dirk Eddelbuettel, John W. Emerson and Michael J. Kane
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: Boost provides free peer-reviewed portable C++ source 
 libraries.  A large part of Boost is provided as C++ template code
 which is resolved entirely at compile-time without linking.  This 
 package aims to provide the most useful subset of Boost libraries 
 for template use among CRAN package. This package is actually empty
 as it isembedded in a virtual Debian/Ubuntu package pulling in
 libboost-all-dev for Boost itself.
License: GPL (>= 2)

## r-cran-bh 1.66.0

=== debian/changelog ===
r-cran-bh (1.66.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop unneeded version restriction from r-base-dev

 -- Andreas Tille <tille@debian.org>  Tue, 28 Aug 2018 14:52:44 +0200

r-cran-bh (1.66.0-1) unstable; urgency=low

  * Initial metapackage				(Closes: # 819389)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 15 May 2018 20:06:06 -0500

=== debian/control ===
Source: r-cran-bh
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 9~), r-base-dev, dh-r
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/edd/r-cran-bh
Vcs-Git: https://salsa.debian.org/edd/r-cran-bh.git
Homepage: https://cran.r-project.org/package=BH

Package: r-cran-bh
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libboost-dev
Description: (Virtual) GNU R package to provide BH
 The CRAN package BH provides a (large) subset of Boost.  This package tricks
 R into believing BH is installed when we just depend on the distribution's
 Boost packages.  The actual set of Boost libraries could get fine-tuned. In
 short, we avoid doubling up the 140+ mb of the 'BH' package which are alredy
 in libboost-dev.

## r-cran-bh 1.74.0

=== debian/changelog ===
r-cran-bh (1.74.0-2) unstable; urgency=medium

  * debian/control: Updated actual package version in DESCRIPTION which
    was accidentally omitted from the previous update (Closes: #993348)
  * debian/control: Versioned Depends on libboost-dev added, may get
    removed later as upstream BH (which I maintain) is not always in sync
    with Debian and for example. was not when release -1 was made

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 31 Aug 2021 06:40:29 -0500

r-cran-bh (1.74.0-1) unstable; urgency=medium

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Build-Depends: to 'debhelper-compat (= 11)'
  * debian/control: Set Standards-Version: to current version 
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 01 Jan 2021 21:43:11 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 9~), r-base-dev, dh-r
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.1), dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-bh
 Vcs-Git: https://salsa.debian.org/edd/r-cran-bh.git
 Homepage: https://cran.r-project.org/package=BH
@@ -11,7 +11,7 @@
 Package: r-cran-bh
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libboost-dev
+Depends: ${misc:Depends}, libboost-dev (>= 1.74.0)
 Description: (Virtual) GNU R package to provide BH
  The CRAN package BH provides a (large) subset of Boost.  This package tricks
  R into believing BH is installed when we just depend on the distribution's

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-viridis package
# Copyright 2003 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-bh 1.81.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: BH
 Type: Package
 Title: Boost C++ Header Files -- Metapackage
-Version: 1.66.0-1
-Date: 2018-02-12
+Version: 1.81.0
+Date: 2023-06-13
 Author: Dirk Eddelbuettel, John W. Emerson and Michael J. Kane
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Boost provides free peer-reviewed portable C++ source

=== debian/changelog ===
r-cran-bh (1.81.0-1) unstable; urgency=medium

  * debian/control: Update Build-Depends to libboost1.81-dev to ensure use
    of Boost 1.81 (needed eg by rstan) which is not yet the default Boost
    in Debian, but available. Note to re-set this to libboost-dev once it
    is default. Thanks to Steve Langasek for the idea. (Closes: #1037439)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 13 Jun 2023 07:10:09 -0500

=== debian/control ===
Source: r-cran-bh
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.0), dh-r
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-bh
Vcs-Git: https://salsa.debian.org/edd/r-cran-bh.git
Homepage: https://cran.r-project.org/package=BH

Package: r-cran-bh
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libboost1.81-dev (>= 1.81.0)
Description: (Virtual) GNU R package to provide BH
 The CRAN package BH provides a (large) subset of Boost.  This package tricks
 R into believing BH is installed when we just depend on the distribution's
 Boost packages.  The actual set of Boost libraries could get fine-tuned. In
 short, we avoid doubling up the 140+ mb of the 'BH' package which are alredy
 in libboost-dev.

## r-cran-bh 1.84.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: BH
 Type: Package
 Title: Boost C++ Header Files -- Metapackage
-Version: 1.81.0
-Date: 2023-06-13
+Version: 1.84.0
+Date: 2024-01-10
 Author: Dirk Eddelbuettel, John W. Emerson and Michael J. Kane
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Description: Boost provides free peer-reviewed portable C++ source 
@@ -11,5 +11,5 @@
  package aims to provide the most useful subset of Boost libraries 
  for template use among CRAN package. This package is actually empty
  as it isembedded in a virtual Debian/Ubuntu package pulling in
- libboost-all-dev for Boost itself.
+ libboost-dev for Boost itself.
 License: GPL (>= 2)

=== debian/changelog ===
r-cran-bh (1.84.0-1) unstable; urgency=medium

  * debian/control: Update Depends back to libboost-dev which will ensure
    use of Boost 1.83 matching the just-updated BH package at CRAN which
    is now at Boost 1.84 (released in December) which should be close
    enough for our needs; a versioned name is no longer needed as the
    default is now 1.83.0-2+b2

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Jan 2024 07:20:09 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.0), dh-r
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.3.2), dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-bh
 Vcs-Git: https://salsa.debian.org/edd/r-cran-bh.git
@@ -11,7 +11,7 @@
 Package: r-cran-bh
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libboost1.81-dev (>= 1.81.0)
+Depends: ${misc:Depends}, ${R:Depends}, libboost-dev (>= 1.83.0)
 Description: (Virtual) GNU R package to provide BH
  The CRAN package BH provides a (large) subset of Boost.  This package tricks
  R into believing BH is installed when we just depend on the distribution's
